%undefine __cmake_in_source_build
%global framework akonadi-search


%if !0%{?bootstrap}
%global tests 1
%endif

Name:    kf5-%{framework}
Version: 23.08.4
Release:    1%{?dist}
Summary: The Akonadi Search library and indexing agent

License: LGPLv2+
URL:     https://invent.kde.org/frameworks/%{framework}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz


BuildRequires: make
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
%global kf5_ver 5.15
BuildRequires:  kf5-ki18n-devel         >= %{kf5_ver}
BuildRequires:  kf5-kconfig-devel       >= %{kf5_ver}
BuildRequires:  kf5-kcrash-devel        >= %{kf5_ver}
BuildRequires:  kf5-krunner-devel       >= %{kf5_ver}
BuildRequires:  kf5-kcmutils-devel      >= %{kf5_ver}
BuildRequires:  kf5-kcontacts-devel     >= %{kf5_ver}
BuildRequires:  kf5-kcalendarcore-devel >= %{kf5_ver}
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
BuildRequires:  kf5-akonadi-mime-devel >= %{majmin_ver} 
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  qt5-qtbase-devel
BuildRequires:  xapian-core-devel
%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: time
BuildRequires: xorg-x11-server-Xvfb
%endif

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       qt5-qtbase-devel
Requires:       kf5-kcoreaddons-devel
Requires:       kf5-akonadi-server-devel
Requires:       kf5-akonadi-mime-devel
Requires:       kf5-kcontacts-devel
Requires:       kf5-kmime-devel
Requires:       kf5-kcalendarcore-devel
%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
time \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif



%files -f %{name}.lang

%license LICENSES/*
%{_kf5_bindir}/akonadi_html_to_text
%{_kf5_bindir}/akonadi_indexing_agent
%{_kf5_datadir}/akonadi/agents/akonadiindexingagent.desktop
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5AkonadiSearchCore.so.*
%{_kf5_libdir}/libKPim5AkonadiSearchDebug.so.*
%{_kf5_libdir}/libKPim5AkonadiSearchPIM.so.*
%{_kf5_libdir}/libKPim5AkonadiSearchXapian.so.*
%{_kf5_plugindir}/krunner/kcms/kcm_krunner_pimcontacts.so
%{_kf5_plugindir}/krunner/krunner_pimcontacts.so
%{_kf5_qtplugindir}/pim5/akonadi/

%files devel
%{_includedir}/KPim5/AkonadiSearch/
%{_kf5_libdir}/cmake/KPim5AkonadiSearch/
%{_kf5_libdir}/libKPim5AkonadiSearchCore.so
%{_kf5_libdir}/libKPim5AkonadiSearchDebug.so
%{_kf5_libdir}/libKPim5AkonadiSearchPIM.so
%{_kf5_libdir}/libKPim5AkonadiSearchXapian.so

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
